package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

type UserRelateDao interface {
	FindUserRelate(uid int64, level int) (*[]model.UserRelate, error)
	GetUserParentUserRelate(uid int64) (*model.UserRelate, error)
	FindUserRelateByParentUid(uid int64, level int) (*[]model.UserRelate, error)
	SumUserRelateByParentUid(parentUid string) (total int64, userRelate []*model.UserRelate, err error)
	PageFindUserRelateByParentUid(uid int64, page, pageSize int) (*[]model.UserRelate, int64, error)
	PageFindUserRelateByParentUidAndLevel(uid int64, page, limit int, level int) (*[]model.UserRelate, int64, error)
	UpdateUserRelateBySession(session *xorm.Session, uid int64, relate *model.UserRelate, forceColumns ...string) (int64, error)
	UserRelateInsert(userRelate *model.UserRelate) (int64, error)
	UserRelatesByPuIDAndLv(puid, lv interface{}) (*[]model.UserRelate, error)
	UserRelatesByPuid(puid interface{}, limit, start int) (*[]model.UserRelate, error)
	UserRelatesCountByParentUid(uid int64, level int) (int64, error)
}
