package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_utils "code.fnuoos.com/EggPlanet/egg_models.git/utils"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewAdvertisingSpaceDb(engine *xorm.Engine) dao.AdvertisingSpaceDao {
	return &AdvertisingSpaceDb{Db: engine}
}

type AdvertisingSpaceDb struct {
	Db *xorm.Engine
}

func (a AdvertisingSpaceDb) AdvertisingSpaceAll() (*[]model.AdvertisingSpace, error) {
	var m []model.AdvertisingSpace
	if err := a.Db.Find(&m); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
func (a AdvertisingSpaceDb) GetAdvertisingSpace(id string) (m *model.AdvertisingSpace, err error) {
	m = new(model.AdvertisingSpace)
	has, err := a.Db.Where("id=?", id).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
func (a AdvertisingSpaceDb) FindUserFeedbackCateAndTotal(page, limit, name, kind string) (*[]model.AdvertisingSpace, int64, error) {
	var m []model.AdvertisingSpace
	sess := a.Db.Where("1=1")
	if name != "" {
		sess.And("name like ?", "%"+name+"%")
	}
	if kind != "" {
		sess.And("kind=?", kind)
	}
	start := (zhios_order_relate_utils.StrToInt(page) - 1) * zhios_order_relate_utils.StrToInt(limit)
	count, err := sess.Limit(zhios_order_relate_utils.StrToInt(limit), start).OrderBy("id desc").FindAndCount(&m)
	if err != nil {
		return nil, count, zhios_order_relate_logx.Error(err)
	}
	return &m, count, nil
}
