﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewContributionValueBasicSettingDb(engine *xorm.Engine) dao.ContributionValueBasicSettingDao {
	return &ContributionValueBasicSettingDb{Db: engine}
}

type ContributionValueBasicSettingDb struct {
	Db *xorm.Engine
}

func (c ContributionValueBasicSettingDb) ContributionValueBasicSettingGetOne() (*model.ContributionValueBasicSetting, error) {
	var m model.ContributionValueBasicSetting
	get, err := c.Db.Where("id > 1").Get(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if !get {
		return nil, nil
	}
	return &m, nil
}

func (c ContributionValueBasicSettingDb) ContributionValueBasicSettingInsert(m *model.ContributionValueBasicSetting) (int, error) {
	_, err := c.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}

func (c ContributionValueBasicSettingDb) ContributionValueBasicSettingUpdate(id interface{}, contributionValueBasicSetting *model.ContributionValueBasicSetting, forceColumns ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColumns != nil {
		affected, err = c.Db.Where("id=?", id).MustCols(forceColumns...).Update(contributionValueBasicSetting)
	} else {
		affected, err = c.Db.Where("id=?", id).Update(contributionValueBasicSetting)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}
