package model

type FinWithdrawApply struct {
	Id              int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid             int64  `json:"uid" xorm:"not null default 0 comment('用户ID') index INT(10)"`
	AdmId           int    `json:"adm_id" xorm:"not null default 0 comment('审核人ID,0为系统自动') INT(10)"`
	Amount          string `json:"amount" xorm:"not null default 0.00 comment('提现金额') DECIMAL(10,2)"`
	RealAmount      string `json:"real_amount" xorm:"not null default 0.00 comment('实际到账金额') DECIMAL(10,2)"`
	Fee             string `json:"fee" xorm:"not null default 0.00 comment('手续费') DECIMAL(10,2)"`
	Type            int    `json:"type" xorm:"not null default 1 comment('提现类型；1：手动；2：自动') TINYINT(1)"`
	WithdrawAccount string `json:"withdraw_account" xorm:"not null default '' comment('提现账号') VARCHAR(64)"`
	WithdrawName    string `json:"withdraw_name" xorm:"not null default '' comment('提现人姓名') VARCHAR(12)"`
	Reason          int    `json:"reason" xorm:"not null default 0 comment('审核失败（驳回理由）；1：当前账号不满足提现规则；2：账号异常；3：资金异常') TINYINT(1)"`
	PaymentDate     string `json:"payment_date" xorm:"not null comment('到账时间') DATETIME"`
	State           int    `json:"state" xorm:"not null default 0 comment('0申请中,1通过,2完成,3失败,4处理中（队列）') TINYINT(1)"`
	WithdrawKind    int    `json:"withdraw_kind" xorm:"not null default 1 comment('提现方式(1:支付宝 2:微信)') TINYINT(1)"`
	IsFirst         int    `json:"is_first" xorm:"not null default 0 comment('是否首次提现(0:否 1:是)') TINYINT(1)"`
	Memo            string `json:"memo" xorm:"not null default '' comment('备注,失败请备注原因') VARCHAR(500)"`
	UpdateAt        string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('处理时间') TIMESTAMP"`
	CreateAt        string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('申请时间') index TIMESTAMP"`
}
