package model

type UserWalletFlow struct {
	Id           int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid          int64  `json:"uid" xorm:"not null default 0 comment('用户id') index BIGINT(20)"`
	Direction    int    `json:"direction" xorm:"not null default 0 comment('方向:1收入 2支出') TINYINT(1)"`
	Amount       string `json:"amount" xorm:"not null default 0.00000000 comment('变动金额') DECIMAL(20,8)"`
	BeforeAmount string `json:"before_amount" xorm:"not null default 0.00000000 comment('变动前金额') DECIMAL(20,8)"`
	AfterAmount  string `json:"after_amount" xorm:"not null default 0.00000000 comment('变动后金额') DECIMAL(20,8)"`
	SysFee       string `json:"sys_fee" xorm:"not null default 0.00000000 comment('手续费') DECIMAL(20,8)"`
	OrdId        string `json:"ord_id" xorm:"not null default '' comment('对应订单编号') VARCHAR(50)"`
	Title        string `json:"title" xorm:"not null default '' comment('标题') VARCHAR(50)"`
	Kind         int    `json:"kind" xorm:"not null default 0 comment('1:管理员操作增加余额 2:管理员操作扣除余额 3:蛋蛋能量兑换余额 4:余额兑换蛋蛋能量') TINYINT(3)"`
	State        int    `json:"state" xorm:"not null default 1 comment('1未到账,2已到账') TINYINT(1)"`
	Memo         string `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(255)"`
	CreateAt     string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') TIMESTAMP"`
	UpdateAt     string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') TIMESTAMP"`
}
